### Method

# Phosh WallClock string_for_datetime

#### Declaration [src]

    char*
    phosh_wall_clock_string_for_datetime (
      PhoshWallClock* self,
      GDateTime* datetime,
      GDesktopClockFormat clock_format,
      gboolean show_full_date
    )

#### Description

No description available.

#### Parameters

`datetime`

  Type: `GDateTime`

  No description available.

  The data is owned by the caller of the method.

`clock_format`

  Type: `GDesktopClockFormat`

  No description available.

`show_full_date`

  Type: `gboolean`

  No description available.

#### Return value

Type: `char*`

No description available.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.